DelegatingRecordReader (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class DelegatingRecordReader<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<K,V>
          org.apache.hadoop.mapreduce.lib.input.DelegatingRecordReader<K,V>

All Implemented Interfaces:
  Closeable

    @InterfaceAudience.Private
    @InterfaceStability.Unstable
    public class DelegatingRecordReader<K,V>

extends RecordReader<K,V>

This is a delegating RecordReader, which delegates the functionality to the underlying record reader in `TaggedInputSplit`

Constructor Summary
`DelegatingRecordReader(InputSplit split, TaskAttemptContext context)` Constructs the DelegatingRecordReader.

Method Summary
`void` | `close()` Close the record reader.
`K` | `getCurrentKey()` Get the current key
`V` | `getCurrentValue()` Get the current value.
`float` | `getProgress()` The current progress of the record reader through its data.
`void` | `initialize(InputSplit split, TaskAttemptContext context)` Called once at initialization.
`boolean` | `nextKeyValue()` Read the next key, value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingRecordReader

    public DelegatingRecordReader(InputSplit split,
                                  TaskAttemptContext context)
                           throws IOException,
                                  InterruptedException

  Constructs the DelegatingRecordReader.

  Parameters:
    `split` - TaggegInputSplit object
    `context` - TaskAttemptContext object
  Throws:
    `IOException`
    `InterruptedException`

Method Detail

### close

    public void close()
               throws IOException

  Description copied from class: `RecordReader`
  Close the record reader.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `RecordReader<K,V>`
  Throws:
    `IOException`

### getCurrentKey

    public K getCurrentKey()
                    throws IOException,
                           InterruptedException

  Description copied from class: `RecordReader`
  Get the current key

  Specified by:
    `getCurrentKey` in class `RecordReader<K,V>`
  Returns:
    the current key or null if there is no current key
  Throws:
    `IOException`
    `InterruptedException`

### getCurrentValue

    public V getCurrentValue()
                      throws IOException,
                             InterruptedException

  Description copied from class: `RecordReader`
  Get the current value.

  Specified by:
    `getCurrentValue` in class `RecordReader<K,V>`
  Returns:
    the object that was read
  Throws:
    `IOException`
    `InterruptedException`

### getProgress

    public float getProgress()
                      throws IOException,
                             InterruptedException

  Description copied from class: `RecordReader`
  The current progress of the record reader through its data.

  Specified by:
    `getProgress` in class `RecordReader<K,V>`
  Returns:
    a number between 0.0 and 1.0 that is the fraction of the data read
  Throws:
    `IOException`
    `InterruptedException`

### initialize

    public void initialize(InputSplit split,
                           TaskAttemptContext context)
                    throws IOException,
                           InterruptedException

  Description copied from class: `RecordReader`
  Called once at initialization.

  Specified by:
    `initialize` in class `RecordReader<K,V>`
  Parameters:
    `split` - the split that defines the range of records to read
    `context` - the information about the task
  Throws:
    `IOException`
    `InterruptedException`

### nextKeyValue

    public boolean nextKeyValue()
                         throws IOException,
                                InterruptedException

  Description copied from class: `RecordReader`
  Read the next key, value pair.

  Specified by:
    `nextKeyValue` in class `RecordReader<K,V>`
  Returns:
    true if a key/value pair was read
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation